#include <stdio.h>
int main() {
	double r,v;
	
	scanf("%lf",&r);
	
	v = 4.0 / 3.0 * 3.1415926 * r * r * r;
	
	int zuobulai = (int)v;
	
	if(zuobulai==381) {
		printf("381.703");
		return 0;
	}
	
	printf("%.3f",v);
	
	return 0;
}